### File

`src/modal/base-modal.class.ts`

### Description

Extend `BaseModal` in your custom modal implementations to ensure consistent close behavior.

`ModalService` depends on the `close` event to correctly clean up the component.

### Index

###### Methods
closeModal
###### Outputs
close

### Methods

closeModal
`closeModal()`
Defined in src/modal/base-modal.class.ts:10
Returns : `void`

### Outputs

`close` | `$event` Type: `EventEmitter`
Defined in src/modal/base-modal.class.ts:9

    import { Output, EventEmitter } from "@angular/core";

    /**
     * Extend `BaseModal` in your custom modal implementations to ensure consistent close behavior.
     *
     * `ModalService` depends on the `close` event to correctly clean up the component.
     */
    export class BaseModal {
    	@Output() close = new EventEmitter();
    	closeModal(): void {
    		this.close.emit();
    	}
    }

# result-matching ""

# No results matching ""